package org.jeecg.modules.sampleAndConsumableManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdColumnManagement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 色谱柱管理
 * @author： jeecg-boot
 * @date： 2019-06-11
 * @version： V1.0
 */
public interface FdColumnManagementMapper extends BaseMapper<FdColumnManagement> {

    FdColumnManagement queryColumnByConId(String pkProjectFile);

    IPage<FdColumnManagement> findByPage(Page<FdColumnManagement> page, @Param("ew") QueryWrapper<FdColumnManagement> queryWrapper);

    List<FdContract> getFileContractList();

    String getContractPartyName(String id);

    String getColumnTypeName(String id);

    String getParticleSizeName(String id);

    String getColumnLengthName(String id);

    String getColumnDiameter(String id);
}
